#include <iostream>
using namespace std;
int main(){
	int T,N[10],M[10],K[10];
	bool x[10];
	cin>>T;
	for(int i=0;i<T;i++){
		cin>>N[i]>>M[i]>>K[i];
		if(K[i]>N[i])x[i]=false;
		else{
			if(M[i]==2&&N[i]!=1)x[i]=false;
			else if(M[i]>((N[i]-2)*(N[i]-2)/2+5*(N[i]-2)/2+1))x[i]=true;
			else x[i]=false;
		}
	}
	for(int i=0;i<T;i++)x[i]==true?cout<<"Tak\n":cout<<"Nie\n";
}